<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

/**
 * @property Back_end $back_end
 */
class Dashboard extends back_end
{

    /**
     * Constructor
     * @access    public
     */
    function __construct()
    {
        parent::__construct();
    }

    /**
     * Default Controller Function
     * @access    public
     */
    function index()
    {

        //  $this->auth->check('manage_administration', 'admin/dashboard');
        $this->load->model('patient/models/checkupinfo_model', 'checkupinfo');
        $data['all'] = $this->checkupinfo->count_all();
        $data['all_month'] = $this->checkupinfo->count_all_month();
        $data['all_checkupinfo'] = $this->checkupinfo->count_all_checkupinfo();
        $data['all_charge'] = $this->checkupinfo->count_all_charge();
//        $data['all_checkupinfo_month'] = $this->checkupinfo->count_all_checkupinfo_month();
        $this->view("dashboard", $data);
    }

}
